SPA User

SPA Me - Update user profile

Updates the current user profile.

PATCH/api/spa/me

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/json
required

The updated SpaMe resource

{
  "id": 1,
  "email": "user@example.com",
  "roles": [
    "ROLE_USER",
    "ROLE_ADMIN"
  ],
  "locale": "en",
  "clientId": 1,
  "subClientId": null,
  "clientIdentifier": "my-client",
  "subClientDescription": null,
  "isSubClientsEnabled": true,
  "isArchiveEnabled": true,
  "isDelegated": false,
  "delegationId": "f53f4d5f-3216-486f-b1f1-3fc2a8e46020",
  "actorEmail": "john.doe@output.rocks",
  "actorName": "John Doe",
  "effectiveEmail": "bayernwerk@output.rocks"
}

Response

200application/json

SpaMe resource updated

id
integer

User ID

Example: 1

email
string

User email

Example: "user@example.com"

roles
string[]

User roles

Example: ["ROLE_USER","ROLE_ADMIN"]

locale
string

User locale

Example: "en"

clientId
integer

Client ID

Example: 1

subClientId
integer

Sub-client ID

Example: null

clientIdentifier
string

Client identifier

Example: "my-client"

subClientDescription
string

Sub-client identifier

Example: null

isSubClientsEnabled
boolean

Whether the sub-clients (environmental tenants) module is enabled for the client

Available options: truefalse

Example: true

isArchiveEnabled
boolean

Whether the archive module is enabled for the client

Available options: truefalse

Example: true

isDelegated
boolean

Whether user is currently in a delegated auth session

Available options: truefalse

Example: false

delegationId
string

Delegated auth session ID

Example: "f53f4d5f-3216-486f-b1f1-3fc2a8e46020"

actorEmail
string

Delegating actor email when delegated session is active

Example: "john.doe@output.rocks"

actorName
string

Delegating actor name when delegated session is active

Example: "John Doe"

effectiveEmail
string

Effective user email used for authorization

Example: "bayernwerk@output.rocks"

currentPassword
string

Current password

Example: "currentPassword123"

newPassword
string

New password

Example: "newSecurePassword456"

success
boolean

Success status

Available options: truefalse

Example: true

message
string

Status message

Example: "Password changed successfully"

activeSessions
integer

Number of active sessions

Example: 3